<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <name>database</name>
  <groupId>com.myproject</groupId>
  <artifactId>database</artifactId>
  <version>1.0-SNAPSHOT</version>

	<properties>
		<dbdeploy.version>3.0M3</dbdeploy.version>
	</properties>
	
	<build>
        <plugins>
            <plugin>
                <groupId>com.dbdeploy</groupId>
                <artifactId>maven-dbdeploy-plugin</artifactId>
                <version>${dbdeploy.version} </version>
				<executions>
					<execution>
						<id>migration</id>
						<configuration>
							<scriptdirectory>db\migration</scriptdirectory>
							<driver>${db.driver.name}</driver>
							<url>${db.url}</url>
							<userid>${db.username}</userid>
							<password>${db.password}</password>
							<dbms>ora</dbms>
							<outputfile>apply_migration.sql</outputfile>
							<undoOutputfile>undo_migration.sql</undoOutputfile>
						</configuration>
					</execution>
					<execution>
						<id>code</id>
						<configuration>
							<scriptdirectory>db\code</scriptdirectory>
							<driver>${db.driver.name}</driver>
							<url>${db.url}</url>
							<userid>${db.username}</userid>
							<password>${db.password}</password>
							<dbms>ora</dbms>
							<outputfile>apply_code.sql</outputfile>
							<undoOutputfile>undo_code.sql</undoOutputfile>
							<delimiter>/</delimiter>
							<delimiterType>row</delimiterType>
						</configuration>
					</execution>
				</executions>
				<dependencies>
					<dependency>
						<groupId>com.oracle.jdbc</groupId>
						<artifactId>ojdbc6</artifactId>
						<version>12.1.0</version>
					</dependency>
				</dependencies>
            </plugin>
        </plugins>
    </build>
</project>
